package ogloszenia.klient;

import ogloszenia.generated.BladBazyDanych_Exception;
import ogloszenia.generated.Ogloszenia;
import ogloszenia.generated.OgloszeniaService;
import ogloszenia.generated.OgloszenieSamochodowe;

import java.util.List;

public class Klient1_OdczytajWszystkie {
    public static void main(String[] args) {
        try {
            System.out.println("Startujemy...");
            OgloszeniaService service = new OgloszeniaService();
            Ogloszenia proxy = service.getOgloszeniaPort();

            System.out.println("Wysyłam zapytanie");
            List<OgloszenieSamochodowe> lista = proxy.readAll();
            System.out.println("Odczytano " + lista.size() + " ogłoszeń:");
            for (OgloszenieSamochodowe ogloszenie : lista) {
                System.out.println(ogloszenie.getMarka() + " " + ogloszenie.getModel() + " za " + ogloszenie.getCena());
            }
        } catch (BladBazyDanych_Exception e) {
            System.out.println(e);
        } catch (Exception e) {
            System.out.println("Inny błąd: " + e);
            e.printStackTrace();
        }
    }
}
